# ITurnTimer
Date: 2011-05-10

## jrummikub.control
Interface ITurnTimer

All Known Implementing Classes:
  TurnTimer

    public interface ITurnTimer

Interface for the `TurnTimer`

Method Summary
`IEvent` `getTimeRunOutEvent()` Returns the event that is emitted if the timer timed out.
`void` `startTimer()` Starts the timer
`void` `stopTimer()` Stops the timer.

Method Detail

### startTimer

    void startTimer()

  Starts the timer

### stopTimer

    void stopTimer()

  Stops the timer. Stopping an already stopped timer is a no-op.

### getTimeRunOutEvent

    IEvent getTimeRunOutEvent()

  Returns the event that is emitted if the timer timed out.

  Returns:
    time out event